package theatre;

import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;

public class ServerThread extends Thread {
    private Socket connectionSocket = null;
    private Reservations reservations;
    private DataOutputStream outToClient;

    // the constructor argument is an established socket
    public ServerThread(Socket s, Reservations reservations) {
        this.reservations = reservations;
        connectionSocket = s;
        try {
            outToClient = new DataOutputStream(connectionSocket.getOutputStream());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void run() {
        try {
            outToClient.writeBytes(this.reservations.buyTicket() + "\n");
            connectionSocket.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
